Index: /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4647)
+++ /palm/trunk/SOURCE/lagrangian_particle_model_mod.f90	(revision 4648)
@@ -4396,12 +4271,11 @@
        ENDDO
 !
-!--    Check if the added SGS velocities result in a violation of the CFL-
-!--    criterion. If yes, limt the SGS particle speed to match the
-!--    CFL criterion. Note, a re-calculation of the SGS particle speed with
-!--    smaller timestep does not necessarily fulfill the CFL criterion as the 
-!--    new SGS speed can be even larger (due to the random term with scales with
-!--    the square-root of dt_particle, for small dt the random contribution increases).
-!--    Thus, we would need to re-calculate the SGS speeds as long as they would
-!--    fulfill the requirements, which could become computationally expensive, 
+!--    Check if the added SGS velocities result in a violation of the CFL-criterion. If yes, limt
+!--    the SGS particle speed to match the CFL criterion. Note, a re-calculation of the SGS particle
+!--    speed with smaller timestep does not necessarily fulfill the CFL criterion as the new SGS
+!--    speed can be even larger (due to the random term with scales with the square-root of
+!--    dt_particle, for small dt the random contribution increases).
+!--    Thus, we would need to re-calculate the SGS speeds as long as they would fulfill the
+!--    requirements, which could become computationally expensive,
 !--    Hence, we just limit them.
        dz_temp = zw(kp)-zw(kp-1)
@@ -4409,32 +4283,32 @@
        DO  nb = 0, 7
           DO  n = start_index(nb), end_index(nb)
-             IF ( ABS( u_int(n) + rvar1_temp(n) ) > ( dx      / dt_particle(n) )  .OR.   &
-                  ABS( v_int(n) + rvar2_temp(n) ) > ( dy      / dt_particle(n) )  .OR.   &
+             IF ( ABS( u_int(n) + rvar1_temp(n) ) > ( dx      / dt_particle(n) )  .OR.             &
+                  ABS( v_int(n) + rvar2_temp(n) ) > ( dy      / dt_particle(n) )  .OR.             &
                   ABS( w_int(n) + rvar3_temp(n) ) > ( dz_temp / dt_particle(n) ) )  THEN
 !
-!--             If total speed exceeds the allowed speed according to CFL 
+!--             If total speed exceeds the allowed speed according to CFL
 !--             criterion, limit the SGS speed to
 !--             dx_i / dt_particle - u_resolved_i, considering a safty factor.
-                rvar1_temp(n) = MERGE( rvar1_temp(n),                          &
-                                       0.9_wp *                                &
-                                       SIGN( dx / dt_particle(n)               &
-                                           - ABS( u_int(n) ), rvar1_temp(n) ), &
-                                       ABS( u_int(n) + rvar1_temp(n) ) <       &
+                rvar1_temp(n) = MERGE( rvar1_temp(n),                                              &
+                                       0.9_wp *                                                    &
+                                       SIGN( dx / dt_particle(n)                                   &
+                                             - ABS( u_int(n) ), rvar1_temp(n) ),                   &
+                                       ABS( u_int(n) + rvar1_temp(n) ) <                           &
                                        ( dx / dt_particle(n) ) )
-                rvar2_temp(n) = MERGE( rvar2_temp(n),                          &
-                                       0.9_wp *                                &
-                                       SIGN( dy / dt_particle(n)               &
-                                           - ABS( v_int(n) ), rvar2_temp(n) ), &
-                                       ABS( v_int(n) + rvar2_temp(n) ) <       &
+                rvar2_temp(n) = MERGE( rvar2_temp(n),                                              &
+                                       0.9_wp *                                                    &
+                                       SIGN( dy / dt_particle(n)                                   &
+                                             - ABS( v_int(n) ), rvar2_temp(n) ),                   &
+                                       ABS( v_int(n) + rvar2_temp(n) ) <                           &
                                        ( dy / dt_particle(n) ) )
-                rvar3_temp(n) = MERGE( rvar3_temp(n),                          &
-                                       0.9_wp *                                &
-                                       SIGN( zw(kp)-zw(kp-1) / dt_particle(n)  &
-                                           - ABS( w_int(n) ), rvar3_temp(n) ), &
-                                       ABS( w_int(n) + rvar3_temp(n) ) <       &
+                rvar3_temp(n) = MERGE( rvar3_temp(n),                                              &
+                                       0.9_wp *                                                    &
+                                       SIGN( zw(kp)-zw(kp-1) / dt_particle(n)                      &
+                                             - ABS( w_int(n) ), rvar3_temp(n) ),                   &
+                                       ABS( w_int(n) + rvar3_temp(n) ) <                           &
                                        ( zw(kp)-zw(kp-1) / dt_particle(n) ) )
              ENDIF
 !
-!--          Update particle velocites 
+!--          Update particle velocites
              particles(n)%rvar1 = rvar1_temp(n)
              particles(n)%rvar2 = rvar2_temp(n)
@@ -4444,6 +4318,6 @@
              w_int(n) = w_int(n) + particles(n)%rvar3
 !
-!--          Store the SGS TKE of the current timelevel which is needed for
-!--          for calculating the SGS particle velocities at the next timestep
+!--          Store the SGS TKE of the current timelevel which is needed for for calculating the SGS
+!--          particle velocities at the next timestep
              particles(n)%e_m = e_int(n)
           ENDDO
@@ -4452,6 +4326,5 @@
     ELSE
 !
-!--    If no SGS velocities are used, only the particle timestep has to
-!--    be set
+!--    If no SGS velocities are used, only the particle timestep has to be set
        dt_particle = dt_3d
 
@@ -4461,11 +4334,10 @@
     IF ( ANY( dens_ratio == 0.0_wp ) )  THEN
 !
-!--    Decide whether the particle loop runs over the subboxes or only over 1,
-!--    number_of_particles. This depends on the selected interpolation method.
-!--    If particle interpolation method is not trilinear, then the sorting within
-!--    subboxes is not required. However, therefore the index start_index(nb) and
-!--    end_index(nb) are not defined and the loops are still over
-!--    number_of_particles. @todo find a more generic way to write this loop or
-!--    delete trilinear interpolation
+!--    Decide whether the particle loop runs over the subboxes or only over 1, number_of_particles.
+!--    This depends on the selected interpolation method.
+!--    If particle interpolation method is not trilinear, then the sorting within subboxes is not
+!--    required. However, therefore the index start_index(nb) and end_index(nb) are not defined and
+!--    the loops are still over number_of_particles. @todo find a more generic way to write this
+!--    loop or delete trilinear interpolation
        IF ( interpolation_trilinear )  THEN
           subbox_start = 0
@@ -4476,7 +4348,6 @@
        ENDIF
 !
-!--    loop over subboxes. In case of simple interpolation scheme no subboxes
-!--    are introduced, as they are not required. Accordingly, this loops goes
-!--    from 1 to 1.
+!--    loop over subboxes. In case of simple interpolation scheme no subboxes are introduced, as
+!--    they are not required. Accordingly, this loop goes from 1 to 1.
        DO  nb = subbox_start, subbox_end
           IF ( interpolation_trilinear )  THEN
@@ -4507,10 +4378,7 @@
 !
 !--             Transport of particles with inertia
-                particles(n)%x = particles(n)%x + particles(n)%speed_x * &
-                                                  dt_particle(n)
-                particles(n)%y = particles(n)%y + particles(n)%speed_y * &
-                                                  dt_particle(n)
-                particles(n)%z = particles(n)%z + particles(n)%speed_z * &
-                                                  dt_particle(n)
+                particles(n)%x = particles(n)%x + particles(n)%speed_x * dt_particle(n)
+                particles(n)%y = particles(n)%y + particles(n)%speed_y * dt_particle(n)
+                particles(n)%z = particles(n)%z + particles(n)%speed_z * dt_particle(n)
 
 !
@@ -4532,7 +4400,6 @@
                    IF ( use_sgs_for_particles )  THEN
                       lagr_timescale(n) = km(kp,jp,ip) / MAX( e(kp,jp,ip), 1.0E-20_wp )
-                      RL             = EXP( -1.0_wp * dt_3d / MAX( lagr_timescale(n), &
-                                             1.0E-20_wp ) )
-                      sigma          = SQRT( e(kp,jp,ip) )
+                      rl    = EXP( -1.0_wp * dt_3d / MAX( lagr_timescale(n), 1.0E-20_wp ) )
+                      sigma = SQRT( e(kp,jp,ip) )
 !
 !--                   Calculate random component of particle sgs velocity using parallel
@@ -4545,10 +4412,10 @@
                       rg3 = random_dummy
 
-                      particles(n)%rvar1 = RL * particles(n)%rvar1 +              &
-                                           SQRT( 1.0_wp - RL**2 ) * sigma * rg1
-                      particles(n)%rvar2 = RL * particles(n)%rvar2 +              &
-                                           SQRT( 1.0_wp - RL**2 ) * sigma * rg2
-                      particles(n)%rvar3 = RL * particles(n)%rvar3 +              &
-                                           SQRT( 1.0_wp - RL**2 ) * sigma * rg3
+                      particles(n)%rvar1 = rl * particles(n)%rvar1 +                               &
+                                           SQRT( 1.0_wp - rl**2 ) * sigma * rg1
+                      particles(n)%rvar2 = rl * particles(n)%rvar2 +                               &
+                                           SQRT( 1.0_wp - rl**2 ) * sigma * rg2
+                      particles(n)%rvar3 = rl * particles(n)%rvar3 +                               &
+                                           SQRT( 1.0_wp - rl**2 ) * sigma * rg3
 
                       particles(n)%speed_x = u_int(n) + particles(n)%rvar1
@@ -4570,10 +4437,10 @@
                       exp_term = particle_groups(particles(n)%group)%exp_term
                    ENDIF
-                   particles(n)%speed_x = particles(n)%speed_x * exp_term +         &
+                   particles(n)%speed_x = particles(n)%speed_x * exp_term +                        &
                                           u_int(n) * ( 1.0_wp - exp_term )
-                   particles(n)%speed_y = particles(n)%speed_y * exp_term +         &
+                   particles(n)%speed_y = particles(n)%speed_y * exp_term +                        &
                                           v_int(n) * ( 1.0_wp - exp_term )
-                   particles(n)%speed_z = particles(n)%speed_z * exp_term +         &
-                                          ( w_int(n) - ( 1.0_wp - dens_ratio(n) ) * &
+                   particles(n)%speed_z = particles(n)%speed_z * exp_term +                        &
+                                          ( w_int(n) - ( 1.0_wp - dens_ratio(n) ) *                &
                                           g / exp_arg ) * ( 1.0_wp - exp_term )
                 ENDIF
@@ -4585,6 +4452,6 @@
     ELSE
 !
-!--    Decide whether the particle loop runs over the subboxes or only over 1,
-!--    number_of_particles. This depends on the selected interpolation method.
+!--    Decide whether the particle loop runs over the subboxes or only over 1, number_of_particles.
+!--    This depends on the selected interpolation method.
        IF ( interpolation_trilinear )  THEN
           subbox_start = 0
@@ -4594,7 +4461,6 @@
           subbox_end   = 1
        ENDIF
-!--    loop over subboxes. In case of simple interpolation scheme no subboxes
-!--    are introduced, as they are not required. Accordingly, this loops goes
-!--    from 1 to 1.
+!--    loop over subboxes. In case of simple interpolation scheme no subboxes are introduced, as
+!--    they are not required. Accordingly, this loop goes from 1 to 1.
        DO  nb = subbox_start, subbox_end
           IF ( interpolation_trilinear )  THEN
@@ -4618,6 +4484,6 @@
              IF ( cloud_droplets )  THEN
 !
-!--             Terminal velocity is computed for vertical direction (Rogers et al.,
-!--             1993, J. Appl. Meteorol.)
+!--             Terminal velocity is computed for vertical direction (Rogers et al., 1993,
+!--             J. Appl. Meteorol.)
                 diameter = particles(n)%radius * 2000.0_wp !diameter in mm
                 IF ( diameter <= d0_rog )  THEN
@@ -4632,11 +4498,10 @@
                 IF ( use_sgs_for_particles )  THEN
                     lagr_timescale(n) = km(kp,jp,ip) / MAX( e(kp,jp,ip), 1.0E-20_wp )
-                     RL             = EXP( -1.0_wp * dt_3d / MAX( lagr_timescale(n), &
-                                             1.0E-20_wp ) )
-                    sigma          = SQRT( e(kp,jp,ip) )
-
-!
-!--                 Calculate random component of particle sgs velocity using parallel
-!--                 random generator
+                    rl    = EXP( -1.0_wp * dt_3d / MAX( lagr_timescale(n), 1.0E-20_wp ) )
+                    sigma = SQRT( e(kp,jp,ip) )
+
+!
+!--                 Calculate random component of particle sgs velocity using parallel random
+!--                 generator
                     CALL random_number_parallel_gauss( random_dummy )
                     rg1 = random_dummy
@@ -4646,10 +4511,10 @@
                     rg3 = random_dummy
 
-                    particles(n)%rvar1 = RL * particles(n)%rvar1 +                &
-                                         SQRT( 1.0_wp - RL**2 ) * sigma * rg1
-                    particles(n)%rvar2 = RL * particles(n)%rvar2 +                &
-                                         SQRT( 1.0_wp - RL**2 ) * sigma * rg2
-                    particles(n)%rvar3 = RL * particles(n)%rvar3 +                &
-                                         SQRT( 1.0_wp - RL**2 ) * sigma * rg3
+                    particles(n)%rvar1 = rl * particles(n)%rvar1 +                                 &
+                                         SQRT( 1.0_wp - rl**2 ) * sigma * rg1
+                    particles(n)%rvar2 = rl * particles(n)%rvar2 +                                 &
+                                         SQRT( 1.0_wp - rl**2 ) * sigma * rg2
+                    particles(n)%rvar3 = rl * particles(n)%rvar3 +                                 &
+                                         SQRT( 1.0_wp - rl**2 ) * sigma * rg3
 
                     particles(n)%speed_x = u_int(n) + particles(n)%rvar1
@@ -4671,10 +4536,10 @@
                    exp_term = particle_groups(particles(n)%group)%exp_term
                 ENDIF
-                particles(n)%speed_x = particles(n)%speed_x * exp_term +             &
+                particles(n)%speed_x = particles(n)%speed_x * exp_term +                           &
                                        u_int(n) * ( 1.0_wp - exp_term )
-                particles(n)%speed_y = particles(n)%speed_y * exp_term +             &
+                particles(n)%speed_y = particles(n)%speed_y * exp_term +                           &
                                        v_int(n) * ( 1.0_wp - exp_term )
-                particles(n)%speed_z = particles(n)%speed_z * exp_term +             &
-                                       ( w_int(n) - ( 1.0_wp - dens_ratio(n) ) * g / &
+                particles(n)%speed_z = particles(n)%speed_z * exp_term +                           &
+                                       ( w_int(n) - ( 1.0_wp - dens_ratio(n) ) * g /               &
                                        exp_arg ) * ( 1.0_wp - exp_term )
              ENDIF
@@ -4685,16 +4550,14 @@
 
 !
-!-- Store the old age of the particle ( needed to prevent that a
-!-- particle crosses several PEs during one timestep, and for the
-!-- evaluation of the subgrid particle velocity fluctuations )
+!-- Store the old age of the particle ( needed to prevent that a particle crosses several PEs during
+!-- one timestep, and for the evaluation of the subgrid particle velocity fluctuations )
     particles(1:number_of_particles)%age_m = particles(1:number_of_particles)%age
 
 !
-!--    loop over subboxes. In case of simple interpolation scheme no subboxes
-!--    are introduced, as they are not required. Accordingly, this loops goes
-!--    from 1 to 1.
-!
-!-- Decide whether the particle loop runs over the subboxes or only over 1,
-!-- number_of_particles. This depends on the selected interpolation method.
+!--    loop over subboxes. In case of simple interpolation scheme no subboxes are introduced, as
+!--    they are not required. Accordingly, this loop goes from 1 to 1.
+!
+!-- Decide whether the particle loop runs over the subboxes or only over 1, number_of_particles.
+!-- This depends on the selected interpolation method.
     IF ( interpolation_trilinear )  THEN
        subbox_start = 0
@@ -4713,7 +4576,6 @@
        ENDIF
 !
-!--    Loop from particle start to particle end and increment the particle 
-!--    age and the total time that the particle has advanced within the 
-!--    particle timestep procedure.
+!--    Loop from particle start to particle end and increment the particle age and the total time
+!--    that the particle has advanced within the particle timestep procedure.
        DO  n = particle_start, particle_end
           particles(n)%age    = particles(n)%age    + dt_particle(n)
@@ -4722,11 +4584,11 @@
 !
 !--    Particles that leave the child domain during the SGS-timestep loop
-!--    must not continue timestepping until they are transferred to the 
+!--    must not continue timestepping until they are transferred to the
 !--    parent. Hence, set their dt_sum to dt.
        IF ( child_domain  .AND.  use_sgs_for_particles )  THEN
           DO  n = particle_start, particle_end
-             IF ( particles(n)%x < 0.0_wp         .OR.                         &
-                  particles(n)%y < 0.0_wp         .OR.                         &
-                  particles(n)%x > ( nx+1 ) * dx  .OR.                         &
+             IF ( particles(n)%x < 0.0_wp         .OR.                                             &
+                  particles(n)%y < 0.0_wp         .OR.                                             &
+                  particles(n)%x > ( nx+1 ) * dx  .OR.                                             &
                   particles(n)%y < ( ny+1 ) * dy )  THEN
                 particles(n)%dt_sum = dt_3d
@@ -4735,9 +4597,7 @@
        ENDIF
 !
-!--    Check whether there is still a particle that has not yet completed
-!--    the total LES timestep
+!--    Check whether there is still a particle that has not yet completed the total LES timestep
        DO  n = particle_start, particle_end
-          IF ( ( dt_3d - particles(n)%dt_sum ) > 1E-8_wp )                     &
-             dt_3d_reached_l = .FALSE.
+          IF ( ( dt_3d - particles(n)%dt_sum ) > 1E-8_wp )  dt_3d_reached_l = .FALSE.
        ENDDO
     ENDDO
@@ -4748,18 +4608,17 @@
  END SUBROUTINE lpm_advec
 
- 
-!------------------------------------------------------------------------------!  
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
-!> Calculation of subgrid-scale particle speed using the stochastic model 
+!> Calculation of subgrid-scale particle speed using the stochastic model
 !> of Weil et al. (2004, JAS, 61, 2877-2887).
-!------------------------------------------------------------------------------! 
- SUBROUTINE weil_stochastic_eq( v_sgs, fs_n, e_n, dedxi_n, dedt_n, diss_n,     &
-                                dt_n, rg_n, fac )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE weil_stochastic_eq( v_sgs, fs_n, e_n, dedxi_n, dedt_n, diss_n, dt_n, rg_n, fac )
 
     REAL(wp) ::  a1      !< dummy argument
-    REAL(wp) ::  dedt_n  !< time derivative of TKE at particle position 
+    REAL(wp) ::  dedt_n  !< time derivative of TKE at particle position
     REAL(wp) ::  dedxi_n !< horizontal derivative of TKE at particle position
-    REAL(wp) ::  diss_n  !< dissipation at particle position 
+    REAL(wp) ::  diss_n  !< dissipation at particle position
     REAL(wp) ::  dt_n    !< particle timestep
     REAL(wp) ::  e_n     !< TKE at particle position
@@ -4770,37 +4629,32 @@
     REAL(wp) ::  term2   !< drift correction term
     REAL(wp) ::  term3   !< random term
-    REAL(wp) ::  v_sgs   !< subgrid-scale velocity component 
-
-!-- At first, limit TKE to a small non-zero number, in order to prevent 
-!-- the occurrence of extremely large SGS-velocities in case TKE is zero, 
-!-- (could occur at the simulation begin).
+    REAL(wp) ::  v_sgs   !< subgrid-scale velocity component
+
+!-- At first, limit TKE to a small non-zero number, in order to prevent the occurrence of extremely
+!-- large SGS-velocities in case TKE is zero, (could occur at the simulation begin).
     e_n = MAX( e_n, 1E-20_wp )
 !
-!-- Please note, terms 1 and 2 (drift and memory term, respectively) are 
-!-- multiplied by a flag to switch of both terms near topography. 
-!-- This is necessary, as both terms may cause a subgrid-scale velocity build up 
-!-- if particles are trapped in regions with very small TKE, e.g. in narrow street 
-!-- canyons resolved by only a few grid points. Hence, term 1 and term 2 are 
-!-- disabled if one of the adjacent grid points belongs to topography. 
-!-- Moreover, in this case, the  previous subgrid-scale component is also set
-!-- to zero.
+!-- Please note, terms 1 and 2 (drift and memory term, respectively) are multiplied by a flag to
+!-- switch of both terms near topography.
+!-- This is necessary, as both terms may cause a subgrid-scale velocity build up if particles are
+!-- trapped in regions with very small TKE, e.g. in narrow street canyons resolved by only a few
+!-- grid points. Hence, term 1 and term 2 are disabled if one of the adjacent grid points belongs to
+!-- topography.
+!-- Moreover, in this case, the  previous subgrid-scale component is also set to zero.
 
     a1 = fs_n * c_0 * diss_n
 !
 !-- Memory term
-    term1 = - a1 * v_sgs * dt_n / ( 4.0_wp * sgs_wf_part * e_n + 1E-20_wp )    &
-                 * fac
+    term1 = - a1 * v_sgs * dt_n / ( 4.0_wp * sgs_wf_part * e_n + 1E-20_wp ) * fac
 !
 !-- Drift correction term
-    term2 = ( ( dedt_n * v_sgs / e_n ) + dedxi_n ) * 0.5_wp * dt_n              &
-                 * fac
+    term2 = ( ( dedt_n * v_sgs / e_n ) + dedxi_n ) * 0.5_wp * dt_n * fac
 !
 !-- Random term
     term3 = SQRT( MAX( a1, 1E-20_wp ) ) * ( rg_n - 1.0_wp ) * SQRT( dt_n )
 !
-!-- In cese one of the adjacent grid-boxes belongs to topograhy, the previous
-!-- subgrid-scale velocity component is set to zero, in order to prevent a 
-!-- velocity build-up. 
-!-- This case, set also previous subgrid-scale component to zero. 
+!-- In case one of the adjacent grid-boxes belongs to topograhy, the previous subgrid-scale velocity
+!-- component is set to zero, in order to prevent a velocity build-up.
+!-- This case, set also previous subgrid-scale component to zero.
     v_sgs = v_sgs * fac + term1 + term2 + term3
 
@@ -4808,16 +4662,15 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> swap timelevel in case of particle advection interpolation 'simple-corrector'
-!> This routine is called at the end of one timestep, the velocities are then
-!> used for the next timestep
-!------------------------------------------------------------------------------!
+!> This routine is called at the end of one timestep, the velocities are then used for the next
+!> timestep
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_swap_timelevel_for_particle_advection
 
 !
-!-- save the divergence free velocites of t+1 to use them at the end of the
-!-- next time step
+!-- Save the divergence free velocites of t+1 to use them at the end of the next time step
     u_t = u
     v_t = v
@@ -4827,25 +4680,24 @@
 
 
-!------------------------------------------------------------------------------!  
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Boundary conditions for the Lagrangian particles.
-!> The routine consists of two different parts. One handles the bottom (flat)
-!> and top boundary. In this part, also particles which exceeded their lifetime
-!> are deleted.
+!> The routine consists of two different parts. One handles the bottom (flat) and top boundary. In
+!> this part, also particles which exceeded their lifetime are deleted.
 !> The other part handles the reflection of particles from vertical walls.
 !> This part was developed by Jin Zhang during 2006-2007.
 !>
-!> To do: Code structure for finding the t_index values and for checking the
-!> -----  reflection conditions is basically the same for all four cases, so it
-!>        should be possible to further simplify/shorten it.
+!> To do: Code structure for finding the t_index values and for checking the reflection conditions
+!> ------ is basically the same for all four cases, so it should be possible to further
+!>        simplify/shorten it.
 !>
 !> THE WALLS PART OF THIS ROUTINE HAS NOT BEEN TESTED FOR OCEAN RUNS SO FAR!!!!
 !> (see offset_ocean_*)
-!------------------------------------------------------------------------------! 
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE lpm_boundary_conds( location_bc , i, j, k )
 
     CHARACTER (LEN=*), INTENT(IN) ::  location_bc !< general mode: boundary conditions at bottom/top of the model domain
-                                   !< or at vertical surfaces (buildings, terrain steps)    
+                                   !< or at vertical surfaces (buildings, terrain steps)
     INTEGER(iwp), INTENT(IN) ::  i !< grid index of particle box along x
     INTEGER(iwp), INTENT(IN) ::  j !< grid index of particle box along y
@@ -4919,25 +4771,23 @@
 
 !
-!--    Apply boundary conditions to those particles that have crossed the top or
-!--    bottom boundary and delete those particles, which are older than allowed
+!--    Apply boundary conditions to those particles that have crossed the top or bottom boundary and
+!--    delete those particles, which are older than allowed
        DO  n = 1, number_of_particles
 
 !
-!--       Stop if particles have moved further than the length of one 
-!--       PE subdomain (newly released particles have age = age_m!)
+!--       Stop if particles have moved further than the length of one PE subdomain (newly released
+!--       particles have age = age_m!)
           IF ( particles(n)%age /= particles(n)%age_m )  THEN
-             IF ( ABS(particles(n)%speed_x) >                                  &
-                  ((nxr-nxl+2)*dx)/(particles(n)%age-particles(n)%age_m)  .OR. &
-                  ABS(particles(n)%speed_y) >                                  &
+             IF ( ABS(particles(n)%speed_x) >                                                      &
+                  ((nxr-nxl+2)*dx)/(particles(n)%age-particles(n)%age_m)  .OR.                     &
+                  ABS(particles(n)%speed_y) >                                                      &
                   ((nyn-nys+2)*dy)/(particles(n)%age-particles(n)%age_m) )  THEN
 
-                  WRITE( message_string, * )  'particle too fast.  n = ',  n 
+                  WRITE( message_string, * )  'particle too fast.  n = ',  n
                   CALL message( 'lpm_boundary_conds', 'PA0148', 2, 2, -1, 6, 1 )
              ENDIF
           ENDIF
 
-          IF ( particles(n)%age > particle_maximum_age  .AND.  &
-               particles(n)%particle_mask )                              &
-          THEN
+          IF ( particles(n)%age > particle_maximum_age  .AND.  particles(n)%particle_mask )  THEN
              particles(n)%particle_mask  = .FALSE.
              deleted_particles = deleted_particles + 1
@@ -5026,8 +4876,8 @@
           k1 = k
 !
-!--       Determine horizontal as well as vertical walls at which particle can 
-!--       be potentially reflected. 
+!--       Determine horizontal as well as vertical walls at which particle can be potentially
+!--       reflected.
 !--       Start with walls aligned in yz layer.
-!--       Wall to the right 
+!--       Wall to the right
           IF ( prt_x > pos_x_old )  THEN
              xwall = ( i1 + 1 ) * dx
@@ -5074,17 +4924,16 @@
           z_wall_reached = .FALSE.
 !
-!--       Initialize time array 
+!--       Initialize time array
           t     = 0.0_wp
 !
-!--       Check if particle can reach any wall. This case, calculate the 
-!--       fractional time needed to reach this wall. Store this fractional
-!--       timestep in array t. Moreover, store indices for these grid
-!--       boxes where the respective wall belongs to.  
+!--       Check if particle can reach any wall. This case, calculate the fractional time needed to
+!--       reach this wall. Store this fractional timestep in array t. Moreover, store indices for
+!--       these grid boxes where the respective wall belongs to.
 !--       Start with x-direction.
           t_index    = 1
-          t(t_index) = ( xwall - pos_x_old )                                   &
-                     / MERGE( MAX( prt_x - pos_x_old,  1E-30_wp ),             &
-                              MIN( prt_x - pos_x_old, -1E-30_wp ),             &
-                              prt_x > pos_x_old )
+          t(t_index) = ( xwall - pos_x_old )                                                       &
+                       / MERGE( MAX( prt_x - pos_x_old,  1E-30_wp ),                               &
+                                MIN( prt_x - pos_x_old, -1E-30_wp ),                               &
+                                prt_x > pos_x_old )
           x_ind(t_index)   = i2
           y_ind(t_index)   = j1
@@ -5094,6 +4943,6 @@
           reach_z(t_index) = .FALSE.
 !
-!--       Store these values only if particle really reaches any wall. t must 
-!--       be in a interval between [0:1].
+!--       Store these values only if particle really reaches any wall. t must be in an interval
+!--       between [0:1].
           IF ( t(t_index) <= 1.0_wp  .AND.  t(t_index) >= 0.0_wp )  THEN
              t_index      = t_index + 1
